# Class CIM_Export

An association between a LocalFileSystem and its Directories indicating that the specified Directories are available for mount. When exporting an entire FileSystem, the Directory should reference the topmost directory of the FileSystem.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Export

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | An association between a LocalFileSystem and its Directories indicating that the specified Directories are available for mount. When exporting an entire FileSystem, the Directory should reference the topmost directory of the FileSystem.
UMLPackagePath | string | CIM::System::FileElements
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ExportedDirectoryName | string |
Description | string | Name under which the Directory is exported.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Directory | CIM_Export | CIM_Directory
LocalFS | CIM_Export | CIM_LocalFileSystem

## Class Methods